
--
-- Структура таблицы `categories`
--

CREATE TABLE `categories` (
  `id` int(11) NOT NULL,
  `name` varchar(100) CHARACTER SET utf8 NOT NULL,
  `opis` varchar(100) CHARACTER SET utf8 NOT NULL,
  `list` int(11) NOT NULL DEFAULT '0'
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Дамп данных таблицы `categories`
--

INSERT INTO `categories` (`id`, `name`, `opis`, `list`) VALUES
(8, 'Загрузки', '', 0),
(9, 'Для взрослых', '', 0),
(10, 'Общение', '', 0),
(11, 'Знакомства', '', 0),
(12, 'Бизнес', '', 0),
(13, 'Порталы', '', 0),
(14, 'Спорт', '', 0),
(15, 'Магазины, услуги', '', 0),
(16, 'WAP-Мастерам', '', 0),
(17, 'English', '', 0),
(18, 'Прочие', '', 0);

-- --------------------------------------------------------

--
-- Структура таблицы `hits`
--

CREATE TABLE `hits` (
  `id_sait` int(11) NOT NULL,
  `time` int(8) NOT NULL,
  `ip` varchar(16) NOT NULL,
  `browser` varchar(30) NOT NULL,
  `operator` int(6) NOT NULL,
  `page` text,
  `ip2` text NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=cp1251;

-- --------------------------------------------------------

--
-- Структура таблицы `hosts`
--

CREATE TABLE `hosts` (
  `id` int(11) NOT NULL,
  `id_sait` int(11) NOT NULL,
  `time` int(8) NOT NULL,
  `ip` varchar(16) NOT NULL,
  `ip2` text NOT NULL,
  `browser` varchar(30) NOT NULL,
  `operator` int(6) NOT NULL,
  `strana` varchar(60) CHARACTER SET utf8 NOT NULL,
  `strana_code` varchar(11) CHARACTER SET utf8 NOT NULL,
  `platforms` varchar(80) CHARACTER SET utf32 NOT NULL,
  `data` varchar(11) CHARACTER SET utf8 NOT NULL,
  `uniqueness` set('0','1') NOT NULL DEFAULT '0' COMMENT 'Уникальность'
) ENGINE=MyISAM DEFAULT CHARSET=cp1251;

-- --------------------------------------------------------

--
-- Структура таблицы `in`
--

CREATE TABLE `in` (
  `id_sait` int(11) NOT NULL,
  `ip` varchar(16) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=cp1251;

-- --------------------------------------------------------

--
-- Структура таблицы `log_all2`
--

CREATE TABLE `log_all2` (
  `id` int(11) NOT NULL,
  `id_user` int(11) NOT NULL,
  `rekl` text NOT NULL,
  `time` int(11) NOT NULL DEFAULT '0',
  `data` date NOT NULL,
  `razd` varchar(32) NOT NULL,
  `type` text NOT NULL,
  `ua` text NOT NULL,
  `ip` text NOT NULL,
  `referer` text NOT NULL,
  `strana` text NOT NULL,
  `site` text NOT NULL,
  `id_banner` int(11) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `mail`
--

CREATE TABLE `mail` (
  `id` int(11) NOT NULL,
  `user_1` int(11) NOT NULL,
  `user_2` int(11) NOT NULL,
  `time` int(11) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `mail_msg`
--

CREATE TABLE `mail_msg` (
  `id` int(11) NOT NULL,
  `user_1` int(11) NOT NULL,
  `user_2` int(11) NOT NULL,
  `msg` text NOT NULL,
  `chit` int(11) NOT NULL,
  `time` int(11) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `news`
--

CREATE TABLE `news` (
  `id` int(11) NOT NULL,
  `id_user` int(11) NOT NULL,
  `name` varchar(60) NOT NULL,
  `txt` varchar(5000) NOT NULL,
  `time` int(11) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `news_close`
--

CREATE TABLE `news_close` (
  `id` int(11) NOT NULL,
  `id_user` int(11) NOT NULL,
  `id_news` int(11) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `n_post`
--

CREATE TABLE `n_post` (
  `id` int(11) NOT NULL,
  `news_id` int(11) NOT NULL,
  `id_user` int(11) NOT NULL,
  `msg` text NOT NULL,
  `time` int(11) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `playground`
--

CREATE TABLE `playground` (
  `id` int(11) NOT NULL,
  `id_user` int(11) NOT NULL,
  `smod` set('0','1') NOT NULL DEFAULT '1',
  `url_name` varchar(50) DEFAULT NULL,
  `name` varchar(60) NOT NULL,
  `msg` varchar(300) NOT NULL,
  `adult` int(1) NOT NULL DEFAULT '0',
  `cat` int(11) NOT NULL,
  `block` int(1) NOT NULL,
  `out_today` int(11) NOT NULL COMMENT 'ушло сегодня',
  `out_yesterday` int(11) NOT NULL COMMENT 'ушло вчера',
  `out_all` int(11) NOT NULL COMMENT 'ушло всего',
  `in_today` int(11) NOT NULL COMMENT 'пришло сегодня',
  `in_yesterday` int(11) NOT NULL COMMENT 'пришло вчера',
  `in_all` int(11) NOT NULL COMMENT 'пришло всего',
  `hosts_today` int(11) NOT NULL COMMENT 'Хостов сегодня',
  `hosts_yesterday` int(11) NOT NULL COMMENT 'Хостов вчера',
  `hosts_all` int(11) NOT NULL COMMENT 'Хостов всего',
  `hits_today` int(11) NOT NULL COMMENT 'Хитов сегодня',
  `hits_yesterday` int(11) NOT NULL COMMENT 'Хитов вчера',
  `hits_all` int(11) NOT NULL COMMENT 'Хитов всего',
  `count_big` int(11) NOT NULL DEFAULT '1' COMMENT 'Большой счёчик',
  `count_small` int(11) NOT NULL DEFAULT '1' COMMENT 'Маленький счёчик',
  `stat_site` set('0','1') NOT NULL DEFAULT '1',
  `show_top` set('0','1') NOT NULL DEFAULT '1' COMMENT 'Показ в ТОП'
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `referer`
--

CREATE TABLE `referer` (
  `id` int(11) NOT NULL,
  `id_site` int(11) NOT NULL,
  `url2` varchar(100) NOT NULL,
  `url` text,
  `time` int(11) NOT NULL,
  `ip` text NOT NULL,
  `naurl` text NOT NULL,
  `data` text NOT NULL,
  `count` int(11) NOT NULL DEFAULT '1'
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `rekl`
--

CREATE TABLE `rekl` (
  `id` int(11) NOT NULL,
  `name` varchar(64) DEFAULT NULL,
  `url` text,
  `pos` text,
  `time` int(11) NOT NULL,
  `color` varchar(11) DEFAULT NULL COMMENT 'Цвет ссылки',
  `fat` int(11) DEFAULT NULL,
  `flashing` int(1) DEFAULT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `sait_online`
--

CREATE TABLE `sait_online` (
  `id_sait` int(11) NOT NULL,
  `ip` varchar(16) NOT NULL,
  `ua` varchar(20) NOT NULL,
  `time` int(7) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=cp1251;

-- --------------------------------------------------------

--
-- Структура таблицы `statistics_month_site`
--

CREATE TABLE `statistics_month_site` (
  `id` int(11) NOT NULL,
  `data` varchar(11) NOT NULL,
  `id_site` int(11) NOT NULL,
  `time` int(11) NOT NULL,
  `time2` text NOT NULL,
  `out2` int(11) NOT NULL,
  `in2` int(11) NOT NULL,
  `hosts` int(11) NOT NULL,
  `hits` int(11) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Структура таблицы `strana_ot`
--

CREATE TABLE `strana_ot` (
  `id` int(11) NOT NULL,
  `name_ru` varchar(100) DEFAULT NULL,
  `strana_code` varchar(100) DEFAULT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `strana_ot`
--

INSERT INTO `strana_ot` (`id`, `name_ru`, `strana_code`) VALUES
(1, 'Австралия', 'AU'),
(2, 'Малайзия', 'MY'),
(4, 'Китай', 'CN'),
(5, 'Япония', 'JP'),
(6, 'Индия', 'IN'),
(7, 'Тайвань', 'TW'),
(8, 'Гонконг', 'HK'),
(9, 'Таиланд', 'TH'),
(11, 'Вьетнам', 'VN'),
(12, 'Франция', 'FR'),
(13, 'Италия', 'IT'),
(15, 'Швеция', 'SE'),
(16, 'Казахстан', 'KZ'),
(17, 'Португалия', 'PT'),
(18, 'Греция', 'GR'),
(20, 'Россия', 'RU'),
(21, 'Великобритания', 'GB'),
(22, 'Дания', 'DK'),
(23, 'США', 'US'),
(24, 'Канада', 'CA'),
(25, 'Мексика', 'MX'),
(26, 'Бермуды', 'BM'),
(29, 'Германия', 'DE'),
(30, 'Иран', 'IR'),
(31, 'Боливия', 'BO'),
(32, 'Монтсеррат', 'MS'),
(33, 'Нидерланды', 'NL'),
(34, 'Израиль', 'IL'),
(35, 'Испания', 'ES'),
(38, 'Чили', 'CL'),
(40, 'Аргентина', 'AR'),
(41, 'Доминика', 'DM'),
(42, 'Сингапур', 'SG'),
(43, 'Непал', 'NP'),
(45, 'Индонезия', 'ID'),
(46, 'Пакистан', 'PK'),
(47, 'Токелау', 'TK'),
(49, 'Камбоджа', 'KH'),
(50, 'Макау', 'MO'),
(53, 'Афганистан', 'AF'),
(54, 'Бангладеш', 'BD'),
(55, 'Ирландия', 'IE'),
(56, 'Бельгия', 'BE'),
(57, 'Белиз', 'BZ'),
(58, 'Бразилия', 'BR'),
(59, 'Швейцария', 'CH'),
(61, 'Египет', 'EG'),
(62, 'Нигерия', 'NG'),
(63, 'Танзания', 'TZ'),
(64, 'Замбия', 'ZM'),
(65, 'Сенегал', 'SN'),
(66, 'Гана', 'GH'),
(67, 'Судан', 'SD'),
(68, 'Камерун', 'CM'),
(69, 'Малави', 'MW'),
(70, 'Ангола', 'AO'),
(71, 'Кения', 'KE'),
(72, 'Габон', 'GA'),
(73, 'Мали', 'ML'),
(74, 'Бенин', 'BJ'),
(76, 'Чад', 'TD'),
(78, 'Ливия', 'LY'),
(80, 'Руанда', 'RW'),
(84, 'Маврикий', 'MU'),
(85, 'Конго', 'CG'),
(86, 'Уганда', 'UG'),
(95, 'Того', 'TG'),
(96, 'Гвинея', 'GN'),
(97, 'Либерия', 'LR'),
(98, 'Сейшеллы', 'SC'),
(99, 'Марокко', 'MA'),
(100, 'Алжир', 'DZ'),
(108, 'Тунис', 'TN'),
(109, 'Турция', 'TR'),
(110, 'Польша', 'PL'),
(111, 'Латвия', 'LV'),
(112, 'Украина', 'UA'),
(113, 'Беларусь', 'BY'),
(114, 'Чехия', 'CZ'),
(116, 'Исландия', 'IS'),
(117, 'Кипр', 'CY'),
(118, 'Венгрия', 'HU'),
(119, 'Словакия', 'SK'),
(120, 'Сербия', 'RS'),
(121, 'Болгария', 'BG'),
(122, 'Оман', 'OM'),
(123, 'Румыния', 'RO'),
(124, 'Грузия', 'GE'),
(125, 'Норвегия', 'NO'),
(126, 'Армения', 'AM'),
(127, 'Австрия', 'AT'),
(129, 'Словения', 'SI'),
(130, 'Панама', 'PA'),
(134, 'Европа', 'EU'),
(135, 'Таджикистан', 'TJ'),
(136, 'Ирак', 'IQ'),
(138, 'Молдова', 'MD'),
(139, 'Финляндия', 'FI'),
(140, 'Эстония', 'EE'),
(142, 'Кувейт', 'KW'),
(144, 'Литва', 'LT'),
(168, 'Сирия', 'SY'),
(169, 'Никарагуа', 'NI'),
(171, 'Гренада', 'GD'),
(172, 'Гватемала', 'GT'),
(174, 'Сальвадор', 'SV'),
(195, 'Монголия', 'MN'),
(197, 'Арулько', 'AW'),
(218, 'Андорра', 'AD'),
(226, 'Куба', 'CU'),
(227, 'Тонга', 'TO'),
(228, 'Кыргызстан', 'KG'),
(229, 'Азербайджан', 'AZ'),
(230, 'Узбекистан', 'UZ'),
(231, 'Другие', 'XXX');

-- --------------------------------------------------------

--
-- Структура таблицы `user`
--

CREATE TABLE `user` (
  `id` int(11) NOT NULL,
  `login` varchar(15) NOT NULL,
  `pass` varchar(32) NOT NULL,
  `name` varchar(32) NOT NULL,
  `balance` varchar(11) NOT NULL DEFAULT '0',
  `position` set('user','mod','admin') NOT NULL DEFAULT 'user',
  `pol` int(1) NOT NULL DEFAULT '0',
  `blocking` int(1) NOT NULL,
  `time_last` int(11) NOT NULL,
  `email` varchar(42) DEFAULT NULL,
  `credit` varchar(32) NOT NULL DEFAULT '0',
  `bank` varchar(32) NOT NULL DEFAULT '0',
  `wmr2` decimal(14,0) DEFAULT NULL,
  `mod_user` int(1) NOT NULL DEFAULT '0',
  `time_reg` int(11) NOT NULL,
  `ip` text NOT NULL,
  `agent` text NOT NULL,
  `browser` text NOT NULL,
  `telegram` varchar(45) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Индексы сохранённых таблиц
--

--
-- Индексы таблицы `categories`
--
ALTER TABLE `categories`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `hits`
--
ALTER TABLE `hits`
  ADD KEY `id_sait` (`id_sait`),
  ADD KEY `time` (`time`),
  ADD KEY `ip` (`ip`),
  ADD KEY `browser` (`browser`),
  ADD KEY `operator` (`operator`);

--
-- Индексы таблицы `hosts`
--
ALTER TABLE `hosts`
  ADD PRIMARY KEY (`id`),
  ADD KEY `id_sait` (`id_sait`),
  ADD KEY `time` (`time`),
  ADD KEY `ip` (`ip`),
  ADD KEY `browser` (`browser`),
  ADD KEY `operator` (`operator`);

--
-- Индексы таблицы `in`
--
ALTER TABLE `in`
  ADD KEY `id_sait` (`id_sait`),
  ADD KEY `ip` (`ip`);

--
-- Индексы таблицы `log_all2`
--
ALTER TABLE `log_all2`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `mail`
--
ALTER TABLE `mail`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `mail_msg`
--
ALTER TABLE `mail_msg`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `news`
--
ALTER TABLE `news`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `news_close`
--
ALTER TABLE `news_close`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `n_post`
--
ALTER TABLE `n_post`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `playground`
--
ALTER TABLE `playground`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `referer`
--
ALTER TABLE `referer`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `rekl`
--
ALTER TABLE `rekl`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `sait_online`
--
ALTER TABLE `sait_online`
  ADD KEY `id_sait` (`id_sait`,`ip`,`ua`,`time`);

--
-- Индексы таблицы `statistics_month_site`
--
ALTER TABLE `statistics_month_site`
  ADD PRIMARY KEY (`id`);

--
-- Индексы таблицы `strana_ot`
--
ALTER TABLE `strana_ot`
  ADD PRIMARY KEY (`id`),
  ADD KEY `name_ru` (`name_ru`);

--
-- Индексы таблицы `user`
--
ALTER TABLE `user`
  ADD PRIMARY KEY (`id`,`login`),
  ADD UNIQUE KEY `login` (`login`);

--
-- AUTO_INCREMENT для сохранённых таблиц
--

--
-- AUTO_INCREMENT для таблицы `categories`
--
ALTER TABLE `categories`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=19;

--
-- AUTO_INCREMENT для таблицы `hosts`
--
ALTER TABLE `hosts`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=1;

--
-- AUTO_INCREMENT для таблицы `log_all2`
--
ALTER TABLE `log_all2`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT для таблицы `mail`
--
ALTER TABLE `mail`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT для таблицы `mail_msg`
--
ALTER TABLE `mail_msg`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT для таблицы `news`
--
ALTER TABLE `news`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=1;

--
-- AUTO_INCREMENT для таблицы `news_close`
--
ALTER TABLE `news_close`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT для таблицы `n_post`
--
ALTER TABLE `n_post`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=1;

--
-- AUTO_INCREMENT для таблицы `playground`
--
ALTER TABLE `playground`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=1;

--
-- AUTO_INCREMENT для таблицы `referer`
--
ALTER TABLE `referer`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=1;

--
-- AUTO_INCREMENT для таблицы `rekl`
--
ALTER TABLE `rekl`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=1;

--
-- AUTO_INCREMENT для таблицы `statistics_month_site`
--
ALTER TABLE `statistics_month_site`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT для таблицы `strana_ot`
--
ALTER TABLE `strana_ot`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=232;

--
-- AUTO_INCREMENT для таблицы `user`
--
ALTER TABLE `user`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=1;
COMMIT;
